extends Node2D

@onready var sprite = Sprite2D.new()

func _ready():
	add_child(sprite)

func set_texture(tex: Texture2D):
	sprite.texture = tex
	sprite.centered = true
	sprite.scale = Vector2(0.1, 0.1)
